# Stub makefile: Rules for java, configure substitutes inside @...@  
#
# @Author: Christopher Hylands
#
# @Version: @(#)java.mk.in	1.10 05/30/97
#
# @Copyright (c) 1996-1997 The Regents of the University of California.
# All rights reserved.
# 
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the
# above copyright notice and the following two paragraphs appear in all
# copies of this software.
# 
# IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
# THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# 
# THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
# PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
# CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
# ENHANCEMENTS, OR MODIFICATIONS.
# 
# 						PT_COPYRIGHT_VERSION_2
# 						COPYRIGHTENDKEY
##########################################################################

# This makefile is an autoconf makefile, not a standard Ptolemy makefile
# This file is used to create the tcljava interface, which requires a compiler.
# 

# If this file is named tycho/src/java.mk, DON'T EDIT IT.  Instead,
# do 'cd $TYCHO; make config_tclexts', which will create 
# tycho/obj.$PTARCH/java.mk. 
# tycho/src/java.mk exists so we can run 'make sources' in the
# tycho/src directory.

SHELL = 	/bin/sh

# Where's the root of the java distribution?
JAVAHOME = 	@JAVAHOME@

# What's the java compiler binary?
JAVAC = 	$(JAVAHOME)/bin/javac

# What's the java header program?
JAVAH = 	$(JAVAHOME)/bin/javah

# Directory that contains architecture dependent include files
# Usually $(JAVAHOME)/include/solaris or something similar
JAVA_ARCH_INCLUDE = @JAVA_ARCH_INCLUDE@

JAVA_INCLUDES = \
	-I$(JAVAHOME)/include \
	-I$(JAVA_ARCH_INCLUDE)

# Directory that contains the Java shared libs, such as libjava.so
JAVA_ARCH_LIB = 	@JAVA_ARCH_LIB@
JAVA_LIBSPEC =		-L$(JAVA_ARCH_LIB) -ljava

TCL_CFLAGS =		@TCL_CFLAGS@

CFLAGS =	$(TCL_CFLAGS) $(AC_FLAGS) $(JAVA_INCLUDES) $(OTHERCFLAGS)
